Name:		conky
Version:	1.9.0
Release:	%mkrel 4
Summary:        A lightweight system monitor
License:	GPLv3+
Group:		Monitoring
Url:		http://conky.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/conky/conky/%{version}/%{name}-%{version}.tar.bz2
# fix for CVE-2011-3616
# taken from Debian: http://patch-tracker.debian.org/patch/series/view/conky/1.8.1-6/fix-race-condition.patch
Patch1:		fix-race-condition.patch
BuildRequires:	curl-devel
BuildRequires:	libxslt-proc
BuildRequires:	libiw-devel
BuildRequires:	lua5.1-devel
BuildRequires:	tolua++-devel
BuildRequires:	imlib2-devel
BuildRequires:	gettext-devel
BuildRequires:	cairo-devel
BuildRequires:	glib2-devel
BuildRequires:	libx11-devel
BuildRequires:	libxdamage-devel
BuildRequires:	libxext-devel
BuildRequires:	libxfixes-devel
BuildRequires:	libxft-devel
BuildRequires:	ncurses-devel
BuildRequires:	audacious-devel
BuildRequires:	pkgconfig(dbus-glib-1)

%description
Conky is a free, light-weight system monitor for X, 
that displays any information on your desktop.

%prep
%setup -q
%patch1 -p1 -b .fix-race-condition

%build
%configure2_5x \
  --disable-rpath \
  --disable-bmpx \
  --disable-xmms2 \
  --disable-nvidia \
  --enable-own-window \
  --enable-ncurses \
  --enable-audacious=yes \
  --enable-ibm \
  --enable-hddtemp \
  --enable-apcupsd \
  --enable-iostats \
  --enable-math \
  --enable-mpd \
  --enable-moc \
  --enable-curl \
  --enable-eve \
  --enable-rss \
  --enable-weather-metar \
  --enable-weather-xoap \
  --enable-x11 \
  --enable-argb \
  --enable-imlib2 \
  --enable-lua-imlib2 \
  --enable-lua \
  --enable-lua-cairo \
  --enable-wlan \
  --enable-portmon \
  --enable-double-buffer \
  --enable-xdamage \
  --enable-xft \
  --enable-alsa

%make

%install
%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/*


%changelog

* Wed Jan 16 2013 cjw <cjw> 1.9.0-4.mga3
+ Revision: 388492
- use lua5.1 because of tolua++

* Fri Jan 11 2013 umeabot <umeabot> 1.9.0-3.mga3
+ Revision: 348114
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 1.9.0-2.mga3
+ Revision: 345488
- rebuild for new iw

* Wed Oct 24 2012 fwang <fwang> 1.9.0-1.mga3
+ Revision: 309599
- new version 1.9.0

* Wed Jan 11 2012 doktor5000 <doktor5000> 1.8.1-3.mga2
+ Revision: 194957
- add missing BuildRequires on dbus-glib-1
- fix CVE-2011-3616, privilege escalation vulnerability due to an insecure
  temporary file in Eve Online plugin (fix-race-condidition.patch, from Debian)

* Fri Oct 21 2011 doktor5000 <doktor5000> 1.8.1-2.mga2
+ Revision: 157291
- fix missing curl/types.h compile problem (curl-types.patch)
- added BuildRequires on audacious-devel
- enabled support for the following features:
  o Audacious
  o Weather (METAR)
  o Weather (XOAP)
  o Eve-Online skill monitor
- explicitly enable/disable all features

* Sat Mar 26 2011 kharec <kharec> 1.8.1-1.mga1
+ Revision: 77696
- imported package conky

